import { Test } from '../Test';
import { ICallback, IResolver, IGroupReport, ITestOptions, IOptions } from '../Contracts';
export declare class Group<T extends any[], H extends any[]> {
    private _title;
    private _resolveTestFn;
    private _resolveHookFn;
    private _options;
    private _hooks;
    private _timeout;
    private _error;
    private _completed;
    private _tests;
    private _hasFailingTests;
    constructor(_title: string, _resolveTestFn: IResolver<T>, _resolveHookFn: IResolver<H>, _options: IOptions);
    readonly hasErrors: boolean;
    private _runHook;
    private _runTest;
    private _runTests;
    toJSON(): IGroupReport;
    timeout(duration: number): this;
    test(title: string, callback: ICallback<T>, testOptions?: Partial<ITestOptions>): Test<T>;
    before(cb: ICallback<H>): this;
    after(cb: ICallback<H>): this;
    beforeEach(cb: ICallback<H>): this;
    afterEach(cb: ICallback<H>): this;
    run(): Promise<void>;
}
