"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const Callable_1 = require("../Callable");
class Hook {
    constructor(_resolveFn, _fn, _hookLifecycle) {
        this._resolveFn = _resolveFn;
        this._fn = _fn;
        this._hookLifecycle = _hookLifecycle;
    }
    async run() {
        try {
            await Callable_1.Callable(this._resolveFn, this._fn, 0);
        }
        catch (error) {
            error.lifecycle = this._hookLifecycle;
            error.fnName = this._fn.name;
            throw error;
        }
    }
}
exports.Hook = Hook;
