"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
class Loader {
    files(glob) {
        this._glob = glob;
    }
    filter(cb) {
        this._filterFn = cb;
    }
    async loadFiles() {
        if (!this._glob) {
            return [];
        }
        const fg = await Promise.resolve().then(() => require('fast-glob'));
        let filesPaths = await fg.default(this._glob, {
            absolute: true,
            onlyFiles: false,
        });
        if (typeof (this._filterFn) === 'function') {
            filesPaths = filesPaths.filter((file) => this._filterFn(file));
        }
        return filesPaths.sort();
    }
}
exports.Loader = Loader;
