import { Group } from '../Group';
import { Test } from '../Test';
import { Assert } from '../Assert';
import { ICallback, IConfigureOptions } from '../Contracts';
type testArgs = [Assert, Function];
type hookArgs = [Function];
type runnerGroup = Pick<Group<testArgs, hookArgs>, Exclude<keyof Group<testArgs, hookArgs>, 'run' | 'toJSON' | 'test'>>;
export declare function test(title: string, callback: ICallback<testArgs>): Pick<Test<[Assert, Function]>, "timeout" | "retry">;
export declare function run(exitProcess?: boolean): Promise<void>;
export declare namespace test {
    function group(title: string, callback: (group: runnerGroup) => void): void;
    function skip(title: string, callback: ICallback<testArgs>): Pick<Test<[Assert, Function]>, "timeout" | "retry">;
    function skipInCI(title: string, callback: ICallback<testArgs>): Pick<Test<[Assert, Function]>, "timeout" | "retry">;
    function runInCI(title: string, callback: ICallback<testArgs>): Pick<Test<[Assert, Function]>, "timeout" | "retry">;
    function failing(title: string, callback: ICallback<testArgs>): Pick<Test<[Assert, Function]>, "timeout" | "retry">;
    function configure(options: Partial<IConfigureOptions>): void;
}
export {};
