import { ITestOptions, ITestReport, ICallback, IResolver } from '../Contracts';
export declare class Test<T extends any[]> {
    private _title;
    private _resolveFn;
    private _callback;
    private _todo;
    private _regression;
    private _regressionMessage;
    private _timeout;
    private _retries;
    private _duration;
    private _error;
    private _skip;
    private _completed;
    constructor(_title: string, _resolveFn: IResolver<T>, _callback: ICallback<T> | undefined, options: ITestOptions);
    private readonly _isHardException;
    private _runTest;
    toJSON(): ITestReport;
    retry(counts: number): this;
    timeout(duration: number): this;
    run(): Promise<void>;
}
